hpp-corbaserver: Implicit Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Implicit Class Reference

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for Implicit:
[legend]
Collaboration diagram for Implicit:
[legend]

## Public Types
typedef Implicit_ptr | _ptr_type
typedef Implicit_var | _var_type

## Public Member Functions
virtual | ~Implicit ()
inline ::hpp::constraints_idl::Implicit_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef Implicit_ptr Implicit::_ptr_type

## ◆ _var_type

typedef Implicit_var Implicit::_var_type

## Constructor & Destructor Documentation

## ◆ ~Implicit()

virtual Implicit::~Implicit | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type Implicit::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type Implicit::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void Implicit::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type Implicit::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type Implicit::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::constraints_idl::Implicit_ptr Implicit::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type Implicit::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type Implicit::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Implicit::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh